> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Code Evaluation Criteria Version

> 
Create a new version of an existing code evaluation criteria. The version is not deployed until published.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id}/versions
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/evaluation-criteria/code/{criteria_id}/versions:
    post:
      tags:
        - Evaluation Criteria
      summary: Create Code Evaluation Criteria Version
      description: >-

        Create a new version of an existing code evaluation criteria. The
        version is not deployed until published.
      operationId: post_create_code_eval_version
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: criteria_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                eval_code:
                  title: Eval Code
                  type: string
              required:
                - eval_code
              title: CreateCodeEvalVersionRequest
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  version_number:
                    title: Version Number
                    type: integer
                  eval_code:
                    title: Eval Code
                    type:
                      - string
                      - 'null'
                  criteria_type:
                    $ref: '#/components/schemas/AutoEvalCriteriaType'
                  is_deployed:
                    title: Is Deployed
                    type: boolean
                  created_at:
                    title: Created At
                    type: string
                required:
                  - id
                  - version_number
                  - eval_code
                  - criteria_type
                  - is_deployed
                  - created_at
                title: CreateCodeEvalVersionResponse
                type: object
          description: >-
            CreateCodeEvalVersionResponse(id: uuid.UUID, version_number: int,
            eval_code: Optional[str], criteria_type:
            shared.sqlalchemy.models.AutoEvalCriteriaType, is_deployed: bool,
            created_at: str)
components:
  schemas:
    AutoEvalCriteriaType:
      enum:
        - 1-5
        - 1-3
        - 1-100
        - yes-no
        - multi-select
        - text
        - auto-categorization
        - code-bool
        - code-float
      title: AutoEvalCriteriaType
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````